aboutsummaryrefslogtreecommitdiffstats
path: root/main/apache2/APKBUILD
diff options
context:
space:
mode:
authorKaarle Ritvanen <kaarle.ritvanen@datakunkku.fi>2016-08-14 23:14:17 +0300
committerKaarle Ritvanen <kaarle.ritvanen@datakunkku.fi>2016-08-14 23:24:50 +0300
commit6b670dee84aadf6a08ed8342efc6e3269881a8ca (patch)
tree8ffcfb490327f2aa58e5616093f43489a1d6c82c /main/apache2/APKBUILD
parentfd12ea78ded77bacc14f0d36dacca4d67f8d4315 (diff)
downloadaports-6b670dee84aadf6a08ed8342efc6e3269881a8ca.tar.gz
aports-6b670dee84aadf6a08ed8342efc6e3269881a8ca.tar.bz2
aports-6b670dee84aadf6a08ed8342efc6e3269881a8ca.tar.xz
main/apache2: enable http2
Diffstat (limited to 'main/apache2/APKBUILD')
-rw-r--r--main/apache2/APKBUILD12
1 files changed, 10 insertions, 2 deletions
diff --git a/main/apache2/APKBUILD b/main/apache2/APKBUILD
index 4b1fdacc5f..985b740a5b 100644
--- a/main/apache2/APKBUILD
+++ b/main/apache2/APKBUILD
@@ -3,7 +3,7 @@
pkgname=apache2
_pkgreal=httpd
pkgver=2.4.23
-pkgrel=2
+pkgrel=3
pkgdesc="A high performance Unix-based HTTP server"
url="http://httpd.apache.org/"
arch="all"
@@ -13,10 +13,11 @@ install="$pkgname.pre-install $pkgname.pre-upgrade"
pkgusers="apache"
pkggroups="apache"
makedepends="apr-dev apr-util-dev autoconf automake libxml2-dev lua-dev
- openssl-dev pcre-dev sed zlib-dev"
+ nghttp2-dev openssl-dev pcre-dev sed zlib-dev"
subpackages="$pkgname-dev
$pkgname-doc
$pkgname-error:_error
+ $pkgname-http2
$pkgname-icons
$pkgname-ldap
$pkgname-lua:_lua
@@ -191,6 +192,13 @@ _error() {
_mv_conf multilang-errordoc
}
+http2() {
+ pkgdesc="HTTP/2 transport layer for the Apache HTTP Server"
+ install -d "$subpkgdir"/usr/lib/apache2
+ mv "$pkgdir"/usr/lib/apache2/mod_http2.so \
+ "$subpkgdir"/usr/lib/apache2 || return 1
+}
+
icons() {
arch="noarch"
pkgdesc="Apache Public Domain Icons"